﻿using System;
using DevExpress.XtraReports.Web;
using Wisej.Web;
using Wisej.Web.Ext.AspNetControl;

namespace ReportsTest
{

    [System.ComponentModel.ToolboxItem(true)]
    public partial class ASPxWebDocumentViewerWrapper : AspNetWrapper<ASPxWebDocumentViewer>
    {
        private DevExpress.XtraReports.Web.ASPxWebDocumentViewer HostedControl;

        public ASPxWebDocumentViewerWrapper()
        {
            InitializeComponent();
        }

        protected override void OnInit(EventArgs e)
        {
            HostedControl = this.WrappedControl;
            base.OnInit(e);
        }

        protected override void OnLoad(EventArgs e)
        {
            HostedControl = this.WrappedControl;
            base.OnLoad(e);
        }

        public void OpenReport(DevExpress.XtraReports.UI.XtraReport report)
        {
            if (HostedControl == null)
            {
                HostedControl = (DevExpress.XtraReports.Web.ASPxWebDocumentViewer)CreateHostedControl();
            }

            HostedControl.OpenReport(report);

        }
    }
}
