﻿
using System;
using DevExpress.XtraReports.UI;
using Wisej.Web;

namespace ReportsTest
{
    public partial class Window1 : Form
    {

        protected XtraReport m_report = null;
        public Window1()
        {
            InitializeComponent();
        }

        public void SwitchReport()
        {

            if (m_report == null)
            {
                m_report = new XtraReport1();
            }
            else if (m_report is XtraReport1)
            {
                this.m_report = new XtraReport2();
            }
            else if (m_report is XtraReport2)
            {
                this.m_report = new XtraReport1();
            }

            XtraReport report = this.m_report;
         
            asPxWebDocumentViewerWrapper1.OpenReport(report);
            report.CreateDocument();

        }

        private void asPxWebDocumentViewerWrapper1_LoadComplete(object sender, EventArgs e)
        {
            this.SwitchReport();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.SwitchReport();
        }
    }
}
